#pragma once

/*
	GameEngine and Editor
	by John Ryland
	Copyright (c) 2023
*/

////////////////////////////////////////////////////////////////////////////////////
//	Node Editor View

#include "IView.h"
#include "imgui_node_editor.h"

/*
https://github.com/rokups/ImNodes
https://github.com/Nelarius/imnodes
*/

namespace GameEngine {

class NodeEditorView : public IView
{
public:
    void AddShowMenuItem() override;

    void Initialize() override;
    void Shutdown() override;
    void Update() override;

    void Show();

private:
    bool                           m_open = false;
    ax::NodeEditor::EditorContext* m_Context = nullptr;
};

} // GameEngine namespace
